﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WebBrowserInTileView
{
	public class MainPageViewModel
	{
		private ObservableCollection<TileViewItemViewModel> applications;

		public MainPageViewModel()
		{
			applications = new ObservableCollection<TileViewItemViewModel>();
			applications.Add(new TileViewItemViewModel() { Title = "first", Content = new WebBrowser() { Source = new Uri("http://www.google.com") } });
			applications.Add(new TileViewItemViewModel() { Title = "Second", Content = new WebBrowser() { Source = new Uri("http://www.google.com") } });
		}

		public ObservableCollection<TileViewItemViewModel> Applications
		{
			get
			{
				return this.applications;
			}
		}
	}
}
